Bug 248658 - (xen_rhel4_guest) kernel panic while booting Rhel4 paravirt guest in rhel5 dom0
kernel panic while booting Rhel4 paravirt guest in rhel5 dom0
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.0
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Red Hat Kernel QE team
http://msinhore.xen-br.org/text/boot_...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 19:54 EDT by Marco Sinhoreli
Modified: 2009-04-30 06:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-30 06:18:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Sinhoreli 2007-07-17 19:54:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.4) Gecko/20070508 Iceweasel/2.0.0.4 (Debian-2.0.0.4-0etch1)

Description of problem:
When I boot the virtual machine rhel4 guest with 'xm create -c /etc/xen/astronomix-baraddur1.cfg' command, return "Kernel panic - not syncing: Attempted to kill init!" as the URL with the problem demonstration. Using a kernel non-Red Hat for guest rhel4, the Virtual Machine boot work.

Version-Release number of selected component (if applicable):
xen-3.0.3-25.0.3.el5

How reproducible:
Always


Steps to Reproduce:
1. Edit the Virtual Machine conffile as below:
# /etc/xen/astronomix-baraddur1.cfg
name ='astronomix-baraddur1'
disk = ['phy:/dev/baraddur1/astronomix,hda1,w', 'phy:/dev/baraddur1/astronomix-swap,hda2,w']
memory = 1024
builder = 'linux'
kernel = '/boot/vmlinuz-2.6.18-8.1.8.el5xen'
#kernel = '/boot/vmlinuz-2.6.18-4-xen-amd64'
ramdisk = '/boot/initrd-2.6.18-8.1.8.el5xen.img'
#ramdisk = '/boot/initrd.img-2.6.18-4-xen-amd64'
root = '/dev/hda1 ro'
vif = ['bridge=xenbr4, vifname=astronomix-baraddur1-0']
#vcpus = "7
#cpus = "1"
on_poweroff = 'destroy'
on_reboot = 'restart'
on_crash = 'restart'

2. To create lvm disks with a rhel4 OS installed.

3. Boot the virtual machine with the command below:
xm create -c /etc/xen/astronomix-baraddur1.cfg


Actual Results:
The Virtual Machine with official rhel5 kernel not work.

Expected Results:
Virtual Machine boot complete.

Additional info:
Comment 1 Chris Lalancette 2008-02-26 22:06:02 EST
I'm not entirely clear on what the problem is.  Are you saying that you can't
boot a RHEL-5 PV guest, or that you can't boot a RHEL-4 PV guest?  In either
case, please provide the complete dmesg output from the guest and
/var/log/xen/xend.log and /var/log/xen/xend-debug.log.

Thanks,
Chris Lalancette
Comment 3 Chris Lalancette 2009-04-30 06:18:45 EDT
Haven't heard back on this problem in a year; closing with INSUFFICIENT_DATA.  If the problem occurs again, feel free to re-open.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.